#!/usr/bin/python3

import pygame

vec2 = pygame.math.Vector2

RES = WIDTH, HEIGHT = vec2(1400, 800)
CENTER = H_WIDTH, H_HEIGHT = RES // 2
TILE_SIZE = 250

PLAYER_SPEED = 0.4
PLAYER_ROT_SPEED = 0.0015

BG_COLOR = "olivedrab"
NUM_ANGLES = 180  # multiple of 360
TRANSP_COLOR = (45, 54, 76)
OUTLINE = True

SPRITE_ATTRS = {
    "Robot": {
        "path": "../assets/stacked_sprites/Robot.png",
        "layers": 16,
        "scale": 8
    },
    "Building": {
        "path": "../assets/stacked_sprites/Building.png",
        "layers": 80,
        "scale": 4
    }
}

ANIMATED_SPRITE_ATTRS = {
    "Bla": {
        "path": "../assets/stacked_sprites/animated/bla/",
        "layers": 3,
        "scale": 16
    }
}